既存の行が置き換えられます
curl --request PUT \
--url https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/rows/{rowId}/draft \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"childTableId": 123,
"displayIndex": 123,
"values": {},
"name": "<string>",
"path": "<string>"
}
'import requests
url = "https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/rows/{rowId}/draft"
payload = {
"childTableId": 123,
"displayIndex": 123,
"values": {},
"name": "<string>",
"path": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
childTableId: 123,
displayIndex: 123,
values: {},
name: '<string>',
path: '<string>'
})
};
fetch('https://api.hubapi.com/cms/hubdb/2026-03/tables/{tableIdOrName}/rows/{rowId}/draft', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"childTableId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"path": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"values": {}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}行
Replace an existing row
テーブルの下書きバージョンの1行を置き換えます。全ての列値を指定する必要があります。列の対象テーブルに値があり、このリクエストでその値が定義されていない場合、削除されます。 JSON行定義を形式設定する手順については、「Create a row」エンドポイントを参照してください。
PUT
/
cms
/
hubdb
/
2026-03
/
tables
/
{tableIdOrName}
/
rows
/
{rowId}
/
draft
既存の行が置き換えられます
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
ボディ
application/json
レスポンス
successful operation
列の子テーブルIDの値が指定されます
行が作成された時点のタイムスタンプ
テーブル行のID
動的ページのタイトルとして使用される「hs_name」列の値が指定されます
動的ページのスラッグとして使用される「hs_path」列の値が指定されます
行が最後に更新された時点を示すタイムスタンプ(日時形式)。
行が最後に更新された時点のタイムスタンプ
列名と列値が含まれるキー値ペアのリスト
Show child attributes
Show child attributes
最終更新日 2026年4月10日
⌘I